# TrickRoomTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class TrickRoomTag

Arena Tag class for Trick Room. Reverses the Speed stats for all Pokémon on the field as long as this arena tag is up, also reversing the turn order for all Pokémon on the field as well.

#### Hierarchy (view full)

- ArenaTag
  - TrickRoomTag

- Defined in src/data/arena-tag.ts:696

#####
Index

### Constructors

constructor

### Properties

side
sourceId
sourceMove
tagType
turnCount

### Methods

apply
getMoveName
lapse
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new TrickRoomTag(turnCount, sourceId): TrickRoomTag

- #### Parameters

  - turnCount: number
  - sourceId: number

  #### Returns TrickRoomTag

  Overrides ArenaTag.constructor

  - Defined in src/data/arena-tag.ts:697

## Properties

### side

side: ArenaTagSide

Inherited from ArenaTag.side

- Defined in src/data/arena-tag.ts:30

### sourceId

sourceId: number

Inherited from ArenaTag.sourceId

- Defined in src/data/arena-tag.ts:29

### sourceMove

sourceMove: Moves

Inherited from ArenaTag.sourceMove

- Defined in src/data/arena-tag.ts:28

### tagType

tagType: ArenaTagType

Inherited from ArenaTag.tagType

- Defined in src/data/arena-tag.ts:26

### turnCount

turnCount: number

Inherited from ArenaTag.turnCount

- Defined in src/data/arena-tag.ts:27

## Methods

### apply

- apply(arena, args): boolean

- #### Parameters

  - arena: Arena
  - args: any[]

  #### Returns boolean

  Overrides ArenaTag.apply

  - Defined in src/data/arena-tag.ts:701

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from ArenaTag.getMoveName

  - Defined in src/data/arena-tag.ts:59

### lapse

- lapse(arena): boolean

- #### Parameters

  - arena: Arena

  #### Returns boolean

  Inherited from ArenaTag.lapse

  - Defined in src/data/arena-tag.ts:55

### onAdd

- onAdd(arena): void

- #### Parameters

  - arena: Arena

  #### Returns void

  Overrides ArenaTag.onAdd

  - Defined in src/data/arena-tag.ts:707

### onOverlap

- onOverlap(arena): void

- #### Parameters

  - arena: Arena

  #### Returns void

  Inherited from ArenaTag.onOverlap

  - Defined in src/data/arena-tag.ts:53

### onRemove

- onRemove(arena): void

- #### Parameters

  - arena: Arena

  #### Returns void

  Overrides ArenaTag.onRemove

  - Defined in src/data/arena-tag.ts:711